[Qa-jenkins-scm] [jenkins.debian.net] 02/02: refactor

Holger Levsen holger at moszumanska.debian.org
Sat Nov 14 17:27:59 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 994309ef62ff2ff3473dd6c0cebec2649a871276
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Nov 14 18:27:49 2015 +0100

    refactor
---
 bin/test_torbrowser-launcher.sh | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

diff --git a/bin/test_torbrowser-launcher.sh b/bin/test_torbrowser-launcher.sh
index fd324db..9fb0727 100755
--- a/bin/test_torbrowser-launcher.sh
+++ b/bin/test_torbrowser-launcher.sh
@@ -18,6 +18,7 @@ cleanup_all() {
 	# kill xvfb
 	kill $XPID
 	# end
+	mv screenshot.png screenshot-thumb.png $WORKSPACE/ || true
 	echo "$(date -u) - $TMPDIR deleted. Cleanup done."
 }
 
@@ -32,15 +33,13 @@ first_test() {
 	XPID=$!
 	export DISPLAY=":$SCREEN.0"
 	timeout -k 12m 11m schroot --run-session -c $SESSION --preserve-environment -- torbrowser-launcher https://www.debian.org &
-	sleep 5m
-	xwd -root -silent -display :$SCREEN.0 | xwdtopnm > session.pnm
-	sleep 5m
+	sleep 2m
+	xwd -root -silent -display :$SCREEN.0 | xwdtopnm > screenshot.pnm
+	sleep 2m
 	kill $XPID
-	schroot --end-session -c $SESSION
-	gocr session.pnm
-	pnmtopng session.pnm > screenshot.png
+	schroot --end-screenshot -c $SESSION
+	pnmtopng screenshot.pnm > screenshot.png
 	convert screenshot.png -adaptive-resize 128x96 screenshot-thumb.png
-	echo "session.jpg should be made availble for download"
 	if ! "$DEBUG" ; then set +x ; fi
 }
 
@@ -56,7 +55,7 @@ cd $TMPDIR
 SUITE=$1
 echo "$(date -u) - testing torbrowser-launcher on $SUITE now."
 #
-# this is WIP in an early stage (and it won't work as X ain't configured yet)
+# this is WIP in an early stage
 # - test package build from git (todo)
 # - test package from the archive (in progress)
 # - test updates (todo)

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list